Package com.io7m.idstore.server.user_view

# Class IdUVLogin

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.http.IdHTTPServletFunctional
com.io7m.idstore.server.user_view.IdUVLogin

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public final class IdUVLogin extends IdHTTPServletFunctional
The page that displays the login form, or executes the login if a username and password is provided.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUVLogin(com.io7m.repetoir.core.RPServiceDirectoryType services)`
  The page that displays the login form, or executes the login if a username and password is provided.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdHTTPServletResponseType`
  `showLoginForm(IdServerBrandingServiceType branding, IdFMTemplateType<IdFMLoginData> template, jakarta.servlet.http.HttpSession session, int statusCode)`
  Display a login form.

  ### Methods inherited from class com.io7m.idstore.server.http.IdHTTPServletFunctional

  `service, service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUVLogin

    public IdUVLogin(com.io7m.repetoir.core.RPServiceDirectoryType services)
    The page that displays the login form, or executes the login if a username and password is provided.
    Parameters:
      `services` - The services

- ## Method Details

  - ### showLoginForm

    public static IdHTTPServletResponseType showLoginForm(IdServerBrandingServiceType branding, IdFMTemplateType<IdFMLoginData> template, jakarta.servlet.http.HttpSession session, int statusCode)
    Display a login form.
    Parameters:
      `branding` - The branding resources
      `template` - The page template
      `session` - The HTTP session (for error message displays)
      `statusCode` - The status code
    Returns:
      A login form